Voice Message

Voice message sending

Request API endpoint

POST  https://api.tig253.com/open/int-voice/batch-notify

Request parameters

Data submission method: x-www-form-urlencoded

Parameter name
Parameter type
Required
Description

appId

String

Yes

Please obtain it after logging in to the official website. For details, see Features -> API Details

appKey

String

Yes

Please obtain it after logging in to the official website. For details, see Features -> API Details

mobile

String

Yes

Called number. If the template has no variables and there are multiple numbers, separate them with a semicolon ";"; if the template has variables, separate multiple numbers with a semicolon ";", separate number and variables with a comma ",", and separate multiple variables with a vertical bar "|", e.g. 86130XXXXXXXX,123|456;86186XXXXXXXX,321|654; Note: numbers must include the country code prefix, otherwise they will be considered invalid. Up to 1000 numbers per request

countryCode

String

Yes

Country codearrow-up-right, country abbreviation, for example, China: CN

templateId

String

Yes

Voice template Id, generated after creating in the official console and approved

billUrl

String

No

Call detail record push callback URL (maximum length 250)

transData

String

No

Pass-through data (returned in call detail record callback, maximum length 50)

displayNum

String

No

Calling number, provided by the operator. If not provided, do not pass

smsHangupStatus

String

No

Hangup SMS enable flag 0: off, 1: on, default: off

smsTemplateId

String

No

Hangup SMS template id

smsSendType

String

No

Hangup SMS sending mode: 0: send after connected, 1: send to all, 2: send when not connected, 3: send based on connection duration, default: 0

smsSendLimit

String

No

Required when hangup SMS mode is 3. Unit: seconds. Enter time rule to send hangup SMS after being greater than or equal to x (integer >=1)

sendType

String

No

Task send type 1 - scheduled task 2 - immediate task. If not provided, it is an immediate task

taskStartTime

String

No

Task start time, up to 8 days, format yyyyMMddHHmmss, e.g.: 20200902170000

taskEndTime

String

No

Task end time, format yyyyMMddHHmmss, e.g.: 20200902235959

taskName

String

No

Task name

maxRecallCount

String

No

Maximum redial attempts, only 0-3 allowed, default: 1 (redial once)

recallInterval

String

No

Redial interval duration (minutes), default 60. Maximum redial span is 3 days. Required when maximum redial attempts is greater than 0

noConnected

String

No

Redial policy: called party cannot connect, true: redial; false: do not redial. Default: true

noAnswer

String

No

Redial policy: called party does not answer, true: redial; false: do not redial. Default: true

ttsVoice

String

No

Playback language, e.g., United States: en-US. If not provided, playback will use the language corresponding to the country. See appendix:Playback languagearrow-up-right (If it is a recorded template, this parameter is not required)

Request example

Response parameters

Name
Data type
Parameter description

code

string

Response code. 200000: success, others: failure.See code values for detailsarrow-up-right

message

string

Explanation of response code

data

Object

Returned object

callId

string

Unique call identifier Id

Last updated